class JobProcessesController < ApplicationController
  before_action :block_index_all, only: [:index]

  model_data_store(JobProcess,
                   {create: false, read: true, update: false, delete: false, index: true},
                   {create: false, read: true, update: false, delete: false, index: true})

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:job_process).permit(:machine_id, :job_id, :side, :manufacturing_process_id, :batch_id)
  end
end
