module NormalizeJobNumber
  extend ActiveSupport::Concern

  def normalize_job_number(number)
      return nil if number.nil?
      omitted_suffixes = %w[-L -R]
      omitted_suffixes.inject(number) do |memo, suffix|
        memo.to_s.chomp(suffix)
      end
  end
end