# == Schema Information
#
# Table name: machine_data_push_targets
#
#  id                 :bigint           not null, primary key
#  base_url           :string(4000)
#  calibration_path   :string(4000)
#  error_path         :string(4000)
#  event_path         :string(4000)
#  job_state_path     :string(4000)
#  machine_state_path :string(4000)
#  maintenance_path   :string(4000)
#  name               :string(4000)
#  process_data_path  :string(4000)
#  send_to            :integer
#  created_at         :datetime         not null
#  updated_at         :datetime         not null
#
class MachineDataPushTarget < ApplicationRecord
  has_many :machine_machine_data_push_targets
  has_many :machines, :through => :machine_machine_data_push_targets

  enum send_to: [:all_machines, :specific_machines]
end
