# -*- SkipSchemaAnnotations

module MachineTypes
  module BoxCoaters
    class Dlx21200 < BoxCoater
      class << self
        def seed_version
          1
        end

        def display_name
          "1200-DLX-2"
        end

        def name
          "1200_dlx_2"
        end

        def image_name
          '1200_dlx_2.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

