class UpdateEerValueRoutine < RxModule::Routine
  class << self
    include EerValueCalculator

    def frequency
      '1d'
    end

    def work
      # TODO : temporarily disabled until we review EER reports & dashboard
=begin
      previous_day = Date.yesterday.strftime("%F %H:%M")
      all_shifts = get_shifts(previous_day, previous_day)
      Machine.all.each do |machine|
        machines = [machine]
        add_eer_value(machine.sn, previous_day, machines, all_shifts)
      end
      MachineGroup.all.each do |machine_group|
        machines = machine_group.machines.to_a
        add_eer_value(machine_group.name, previous_day, machines, all_shifts)
      end
=end
    end

    def add_eer_value(label, date, machines, all_shifts)
      return if label.nil? || date.nil? || !machines.is_a?(Array)
      return if machines.empty?
      shifts = all_shifts[date]
      eer_value = calculate_eer_value(machines, shifts, date)
      eer_value_record = EerValue.where(date: date, name: label).first
      if eer_value_record.nil?
        EerValue.create(date: date, name: label, value: eer_value)
      end
    end
  end
end