breakage_data = job_breakage.resolve_breakage_data
json.extract! job_breakage,
              :id,
              :posted_by,
              :posted_at,
              :accepted,
              :validated_by,
              :validated_at,
              :job_number
json.left_breakage do
  if breakage_data[:left].nil?
    nil
  else
    json.partial! 'job_breakages/breakage_side_data', breakage_side_data: breakage_data[:left]
  end
end
json.right_breakage do
  if breakage_data[:right].nil?
    nil
  else
    json.partial! 'job_breakages/breakage_side_data', breakage_side_data: breakage_data[:right]
  end
end
