class AddOrderJobsJob < ApplicationJob
  include OrderCreateHelper

  queue_as :order_data

  def perform(order_id, add_params, address_params, ship_to_params, data_params, process_params)
    ActiveRecord::Base.connection_pool.with_connection do
      create_order_and_jobs(order_id, add_params, address_params, ship_to_params, data_params, process_params)
    end
  end
end
