# == Schema Information
#
# Table name: batch_containers
#
#  id                    :bigint           not null, primary key
#  order                 :integer
#  created_at            :datetime         not null
#  updated_at            :datetime         not null
#  batch_id              :bigint           not null
#  external_container_id :integer
#
# Indexes
#
#  index_batch_containers_on_batch_id  (batch_id)
#
# Foreign Keys
#
#  fk_rails_...  (batch_id => batches.id) ON DELETE => cascade
#
class BatchContainer < ApplicationRecord
  has_many :batch_job_data
  has_many :batch_container_data
  belongs_to :batch
end
