# == Schema Information
#
# Table name: job_data
#
#  id         :bigint           not null, primary key
#  name       :string(4000)
#  side       :integer
#  value      :string(4000)
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  job_id     :bigint
#
# Indexes
#
#  index_job_data_on_created_at  (created_at)
#  index_job_data_on_job_id      (job_id)
#  index_job_data_on_side        (side)
#
# Foreign Keys
#
#  fk_rails_...  (job_id => jobs.id) ON DELETE => cascade
#
class JobDatum < ApplicationRecord
  include Sideable

  belongs_to :job, touch: true
end
