# == Schema Information
#
# Table name: machine_machine_data_push_targets
#
#  id                          :bigint           not null, primary key
#  machine_data_push_target_id :bigint
#  machine_id                  :bigint
#
# Indexes
#
#  index_machine_machine_data_push_targets_on_machine_data_push_target_id                 (machine_data_push_target_id)
#  index_machine_machine_data_push_targets_on_machine_id                                  (machine_id)
#  index_machine_machine_data_push_targets_on_machine_id_and_machine_data_push_target_id  (machine_id,machine_data_push_target_id) UNIQUE
#
class MachineMachineDataPushTarget < ApplicationRecord
  belongs_to :machine
  belongs_to :machine_data_push_target
end
