class ProcessBookingWorkstationConfig < RxModule::Workstations::Workstation
  expose(
    "process_booking_workstation",
    "Process Booking",
    "/process_booking_workstation",
    "Process Booking Workstation",
    Rails.root.join("public/workstation_icons", "clipboard_check.svg")
  )
  variants do
    ProcessBookingWorkstation.all.map do |ws|
      variant(ws.id, ws.name)
    end
  end
  multiple_permissions(true)
end